diff --git a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
index 557504e..7a297f1 100644
--- a/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
+++ b/lib/app/modules/petugas_desa/views/detail_pengaduan_view.dart
@@ -944,40 +573,69 @@ class DetailPengaduanView extends GetView<PengaduanController> {
     final String noHpWarga = warga != null ? warga['no_hp'] ?? '-' : '-';
 
     return Card(
-      elevation: 2,
+      elevation: 3,
       shape: RoundedRectangleBorder(
-        borderRadius: BorderRadius.circular(12),
+        borderRadius: BorderRadius.circular(16),
       ),
-      child: Padding(
-        padding: const EdgeInsets.all(16),
+      child: Container(
+        decoration: BoxDecoration(
+          borderRadius: BorderRadius.circular(16),
+          gradient: LinearGradient(
+            begin: Alignment.topLeft,
+            end: Alignment.bottomRight,
+            colors: [Colors.white, Colors.grey.shade50],
+          ),
+        ),
+        padding: const EdgeInsets.all(20),
         child: Column(
           crossAxisAlignment: CrossAxisAlignment.start,
           children: [
             // Header dengan judul
             Row(
-              mainAxisAlignment: MainAxisAlignment.spaceBetween,
               children: [
-                const Text(
+                Container(
+                  padding: const EdgeInsets.all(8),
+                  decoration: BoxDecoration(
+                    color: Colors.green.shade100,
+                    shape: BoxShape.circle,
+                  ),
+                  child: Icon(
+                    Icons.person,
+                    color: Colors.green.shade700,
+                    size: 20,
+                  ),
+                ),
+                const SizedBox(width: 12),
+                Text(
                   'Informasi Pelapor',
                   style: TextStyle(
                     fontSize: 18,
                     fontWeight: FontWeight.bold,
-                    color: AppTheme.primaryColor,
+                    color: Colors.green.shade700,
                   ),
                 ),
-                Icon(
-                  Icons.person,
-                  color: AppTheme.primaryColor,
-                ),
               ],
             ),
-            const Divider(height: 24),
+            const SizedBox(height: 16),
 
             // Informasi pelapor
-            _buildInfoRow('Nama', namaWarga),
-            _buildInfoRow('NIK', nikWarga),
-            _buildInfoRow('Alamat', alamatWarga),
-            _buildInfoRow('No. HP', noHpWarga),
+            Container(
+              padding: const EdgeInsets.all(16),
+              decoration: BoxDecoration(
+                color: Colors.grey.shade50,
+                borderRadius: BorderRadius.circular(12),
+                border: Border.all(color: Colors.grey.shade200),
+              ),
+              child: Column(
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  _buildInfoRow('Nama', namaWarga, Icons.person_outline),
+                  _buildInfoRow('NIK', nikWarga, Icons.badge),
+                  _buildInfoRow('Alamat', alamatWarga, Icons.home_outlined),
+                  _buildInfoRow('No. HP', noHpWarga, Icons.phone_outlined),
+                ],
+              ),
+            ),
           ],
         ),
       ),
@@ -986,71 +644,120 @@ class DetailPengaduanView extends GetView<PengaduanController> {
 
   Widget _buildPenyaluranInfo(BuildContext context, PengaduanModel pengaduan) {
     return Card(
-      elevation: 2,
+      elevation: 3,
       shape: RoundedRectangleBorder(
-        borderRadius: BorderRadius.circular(12),
+        borderRadius: BorderRadius.circular(16),
       ),
-      child: Padding(
-        padding: const EdgeInsets.all(16),
+      child: Container(
+        decoration: BoxDecoration(
+          borderRadius: BorderRadius.circular(16),
+          gradient: LinearGradient(
+            begin: Alignment.topLeft,
+            end: Alignment.bottomRight,
+            colors: [Colors.white, Colors.grey.shade50],
+          ),
+        ),
+        padding: const EdgeInsets.all(20),
         child: Column(
           crossAxisAlignment: CrossAxisAlignment.start,
           children: [
             // Header dengan judul
             Row(
-              mainAxisAlignment: MainAxisAlignment.spaceBetween,
               children: [
-                const Text(
+                Container(
+                  padding: const EdgeInsets.all(8),
+                  decoration: BoxDecoration(
+                    color: Colors.purple.shade100,
+                    shape: BoxShape.circle,
+                  ),
+                  child: Icon(
+                    Icons.inventory,
+                    color: Colors.purple.shade700,
+                    size: 20,
+                  ),
+                ),
+                const SizedBox(width: 12),
+                Text(
                   'Informasi Penyaluran',
                   style: TextStyle(
                     fontSize: 18,
                     fontWeight: FontWeight.bold,
-                    color: AppTheme.primaryColor,
+                    color: Colors.purple.shade700,
                   ),
                 ),
-                Icon(
-                  Icons.inventory,
-                  color: AppTheme.primaryColor,
-                ),
               ],
             ),
-            const Divider(height: 24),
+            const SizedBox(height: 16),
 
             // Informasi penyaluran
-            _buildInfoRow('Nama Penyaluran', pengaduan.namaPenyaluran),
-            _buildInfoRow('Stok Bantuan', pengaduan.stokBantuan!['nama']),
-            _buildInfoRow('Jumlah Bantuan',
-                '${pengaduan.jumlahBantuan} ${pengaduan.stokBantuan!['satuan']}'),
-            _buildInfoRow('Deskripsi', pengaduan.deskripsiPenyaluran),
+            Container(
+              padding: const EdgeInsets.all(16),
+              decoration: BoxDecoration(
+                color: Colors.grey.shade50,
+                borderRadius: BorderRadius.circular(12),
+                border: Border.all(color: Colors.grey.shade200),
+              ),
+              child: Column(
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  _buildInfoRow('Nama Penyaluran', pengaduan.namaPenyaluran,
+                      Icons.label_outline),
+                  _buildInfoRow('Stok Bantuan', pengaduan.stokBantuan!['nama'],
+                      Icons.category_outlined),
+                  _buildInfoRow(
+                      'Jumlah Bantuan',
+                      '${pengaduan.jumlahBantuan} ${pengaduan.stokBantuan!['satuan']}',
+                      Icons.shopping_bag_outlined),
+                  _buildInfoRow('Deskripsi', pengaduan.deskripsiPenyaluran,
+                      Icons.description_outlined),
+                ],
+              ),
+            ),
           ],
         ),
       ),
     );
   }
 
-  Widget _buildInfoRow(String label, String value) {
+  Widget _buildInfoRow(String label, String? value, IconData icon) {
     return Padding(
-      padding: const EdgeInsets.only(bottom: 12.0),
+      padding: const EdgeInsets.only(bottom: 16.0),
       child: Row(
         crossAxisAlignment: CrossAxisAlignment.start,
         children: [
-          SizedBox(
-            width: 120,
-            child: Text(
-              label,
-              style: TextStyle(
-                fontSize: 14,
-                color: Colors.grey[600],
-              ),
+          Container(
+            padding: const EdgeInsets.all(8),
+            decoration: BoxDecoration(
+              color: Colors.grey.shade100,
+              borderRadius: BorderRadius.circular(8),
+            ),
+            child: Icon(
+              icon,
+              size: 18,
+              color: AppTheme.primaryColor,
             ),
           ),
-          const SizedBox(width: 8),
+          const SizedBox(width: 16),
           Expanded(
-            child: Text(
-              value,
-              style: const TextStyle(
-                fontSize: 15,
-                fontWeight: FontWeight.w500,
-              ),
+            child: Column(
+              crossAxisAlignment: CrossAxisAlignment.start,
+              children: [
+                Text(
+                  label,
+                  style: TextStyle(
+                    fontSize: 14,
+                    color: Colors.grey[600],
+                  ),
+                ),
+                const SizedBox(height: 4),
+                Text(
+                  value ?? '-',
+                  style: const TextStyle(
+                    fontSize: 15,
+                    fontWeight: FontWeight.w500,
+                  ),
+                ),
+              ],
             ),
           ),
         ],
@@ -1063,46 +770,88 @@ class DetailPengaduanView extends GetView<PengaduanController> {
     List<TindakanPengaduanModel> tindakanList,
   ) {
     if (tindakanList.isEmpty) {
-      return InfoCard(
-        title: 'Belum Ada Tindakan',
-        description: 'Belum ada tindakan untuk pengaduan ini',
-        icon: Icons.info_outline,
-        backgroundColor: Colors.grey.shade50,
+      return Card(
+        elevation: 3,
+        shape: RoundedRectangleBorder(
+          borderRadius: BorderRadius.circular(16),
+        ),
+        child: Container(
+          padding: const EdgeInsets.all(20),
+          child: InfoCard(
+            title: 'Belum Ada Tindakan',
+            description:
+                'Pengaduan ini belum mendapatkan tindakan dari petugas',
+            icon: Icons.hourglass_empty,
+            backgroundColor: Colors.orange.shade50,
+            iconColor: Colors.orange,
+          ),
+        ),
       );
     }
 
     return Card(
-      elevation: 2,
+      elevation: 3,
       shape: RoundedRectangleBorder(
-        borderRadius: BorderRadius.circular(12),
+        borderRadius: BorderRadius.circular(16),
       ),
-      child: Padding(
-        padding: const EdgeInsets.all(16),
+      child: Container(
+        decoration: BoxDecoration(
+          borderRadius: BorderRadius.circular(16),
+          gradient: LinearGradient(
+            begin: Alignment.topLeft,
+            end: Alignment.bottomRight,
+            colors: [Colors.white, Colors.grey.shade50],
+          ),
+        ),
+        padding: const EdgeInsets.all(20),
         child: Column(
           crossAxisAlignment: CrossAxisAlignment.start,
           children: [
-            // Menggunakan SectionHeader untuk judul
-            SectionHeader(
-              title: 'Riwayat Tindakan',
-              padding: EdgeInsets.zero,
+            Row(
+              children: [
+                Container(
+                  padding: const EdgeInsets.all(8),
+                  decoration: BoxDecoration(
+                    color: Colors.blue.shade100,
+                    shape: BoxShape.circle,
+                  ),
+                  child: Icon(
+                    Icons.timeline,
+                    color: Colors.blue.shade700,
+                    size: 20,
+                  ),
+                ),
+                const SizedBox(width: 12),
+                Text(
+                  'Riwayat Tindakan',
+                  style: TextStyle(
+                    fontSize: 18,
+                    fontWeight: FontWeight.bold,
+                    color: Colors.blue.shade700,
+                  ),
+                ),
+              ],
             ),
             const SizedBox(height: 16),
-            ListView.builder(
-              shrinkWrap: true,
-              physics: const NeverScrollableScrollPhysics(),
-              itemCount: tindakanList.length,
-              itemBuilder: (context, index) {
-                final tindakan = tindakanList[index];
-                final bool isFirst = index == 0;
-                final bool isLast = index == tindakanList.length - 1;
+            Container(
+              padding: const EdgeInsets.symmetric(vertical: 8),
+              child: ListView.builder(
+                shrinkWrap: true,
+                physics: const NeverScrollableScrollPhysics(),
+                itemCount: tindakanList.length,
+                itemBuilder: (context, index) {
+                  final tindakan = tindakanList[index];
+                  final bool isFirst = index == 0;
+                  final bool isLast = index == tindakanList.length - 1;
 
-                return _buildTimelineTile(
-                  context,
-                  tindakan,
-                  isFirst,
-                  isLast,
-                );
-              },
+                  return _buildTimelineTile(
+                    context,
+                    tindakan,
+                    isFirst,
+                    isLast,
+                  );
+                },
+              ),
             ),
           ],
         ),
@@ -1119,10 +868,10 @@ class DetailPengaduanView extends GetView<PengaduanController> {
     Color dotColor;
     switch (tindakan.statusTindakan) {
       case 'SELESAI':
-        dotColor = statusSelesaiColor;
+        dotColor = Colors.green;
         break;
       case 'PROSES':
-        dotColor = statusTindakanColor;
+        dotColor = Colors.blue;
         break;
       default:
         dotColor = Colors.grey;
@@ -1133,48 +882,70 @@ class DetailPengaduanView extends GetView<PengaduanController> {
       isFirst: isFirst,
       isLast: isLast,
       indicatorStyle: IndicatorStyle(
-        width: 20,
+        width: 24,
+        height: 24,
         color: dotColor,
+        padding: const EdgeInsets.symmetric(vertical: 2),
         iconStyle: IconStyle(
           color: Colors.white,
           iconData:
               tindakan.statusTindakan == 'SELESAI' ? Icons.check : Icons.sync,
+          fontSize: 14,
         ),
       ),
+      beforeLineStyle: LineStyle(
+        color: Colors.grey.shade300,
+        thickness: 2,
+      ),
+      afterLineStyle: LineStyle(
+        color: Colors.grey.shade300,
+        thickness: 2,
+      ),
       endChild: Container(
-        margin: const EdgeInsets.only(left: 16, bottom: 24),
-        padding: const EdgeInsets.all(16),
-        decoration: BoxDecoration(
-          color: Colors.white,
-          borderRadius: BorderRadius.circular(8),
-          boxShadow: [
-            BoxShadow(
-              color: Colors.grey.withOpacity(0.1),
-              spreadRadius: 1,
-              blurRadius: 2,
-              offset: const Offset(0, 1),
+        margin: const EdgeInsets.only(left: 20, bottom: 30),
+        child: Container(
+          decoration: BoxDecoration(
+            color: Colors.white,
+            borderRadius: BorderRadius.circular(12),
+            boxShadow: [
+              BoxShadow(
+                color: Colors.grey.withOpacity(0.1),
+                spreadRadius: 1,
+                blurRadius: 4,
+                offset: const Offset(0, 2),
+              ),
+            ],
+            border: Border.all(
+              color: Colors.grey.shade200,
             ),
-          ],
-        ),
-        child: Column(
-          crossAxisAlignment: CrossAxisAlignment.start,
-          children: [
-            // Header dengan kategori dan status
-            Row(
-              mainAxisAlignment: MainAxisAlignment.spaceBetween,
-              children: [
-                Expanded(
-                  child: Text(
-                    tindakan.kategoriTindakanText,
-                    style: const TextStyle(
-                      fontWeight: FontWeight.bold,
-                      fontSize: 16,
-                    ),
+          ),
+          child: Column(
+            crossAxisAlignment: CrossAxisAlignment.start,
+            children: [
+              // Header dengan kategori dan status
+              Container(
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 16, vertical: 12),
+                decoration: BoxDecoration(
+                  color: dotColor.withOpacity(0.1),
+                  borderRadius: const BorderRadius.only(
+                    topLeft: Radius.circular(12),
+                    topRight: Radius.circular(12),
                   ),
                 ),
-                Row(
+                child: Row(
+                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                   children: [
-                    // Menggunakan StatusPill untuk status tindakan
+                    Expanded(
+                      child: Text(
+                        tindakan.kategoriTindakanText,
+                        style: TextStyle(
+                          fontWeight: FontWeight.bold,
+                          fontSize: 16,
+                          color: dotColor,
+                        ),
+                      ),
+                    ),
                     StatusPill(
                       status: tindakan.statusTindakanText,
                       backgroundColor: dotColor,
